std::pmr::unsynchronized_pool_resource Class Reference

`#include <memory_resource>`

Inheritance diagram for std::pmr::unsynchronized_pool_resource:
[legend]

## Public Member Functions

| unsynchronized_pool_resource (const pool_options &__opts)
| unsynchronized_pool_resource (const pool_options &__opts, memory_resource *__upstream)
| unsynchronized_pool_resource (const unsynchronized_pool_resource &)=delete
| unsynchronized_pool_resource (memory_resource *__upstream)
void * | allocate (size_t __bytes, size_t __alignment=_S_max_align)
void | deallocate (void *__p, size_t __bytes, size_t __alignment=_S_max_align)
bool | is_equal (const memory_resource &__other) const noexcept
unsynchronized_pool_resource & | operator= (const unsynchronized_pool_resource &)=delete
pool_options | options () const noexcept
void | release ()
memory_resource * | upstream_resource () const noexcept

## Protected Member Functions

void * | do_allocate (size_t __bytes, size_t __alignment) override
void | do_deallocate (void *__p, size_t __bytes, size_t __alignment) override
bool | do_is_equal (const memory_resource &__other) const noexcept override

## Detailed Description

A non-thread-safe memory resource that manages pools of fixed-size blocks.

Definition at line 679 of file memory_resource.

## Constructor & Destructor Documentation

## unsynchronized_pool_resource() [1/3]

std::pmr::unsynchronized_pool_resource::unsynchronized_pool_resource | ( |  | ) |

inline

Definition at line 686 of file memory_resource.

## unsynchronized_pool_resource() [2/3]

std::pmr::unsynchronized_pool_resource::unsynchronized_pool_resource | ( | memory_resource * | __upstream | ) |

inline explicit

Definition at line 692 of file memory_resource.

## unsynchronized_pool_resource() [3/3]

std::pmr::unsynchronized_pool_resource::unsynchronized_pool_resource | ( | const pool_options & | __opts | ) |

inline explicit

Definition at line 697 of file memory_resource.

## Member Function Documentation

## allocate()

void * std::pmr::memory_resource::allocate | ( | size_t | __bytes,
|  | size_t | __alignment = `_S_max_align`
| ) |  |

inline inherited

Definition at line 120 of file memory_resource.

## deallocate()

void std::pmr::memory_resource::deallocate | ( | void * | __p,
|  | size_t | __bytes,
|  | size_t | __alignment = `_S_max_align`
| ) |  |

inline inherited

Definition at line 125 of file memory_resource.

## do_allocate()

void * std::pmr::unsynchronized_pool_resource::do_allocate | ( | size_t | __bytes,
|  | size_t | __alignment
| ) |  |

override protected virtual

Implements std::pmr::memory_resource.

## do_deallocate()

void std::pmr::unsynchronized_pool_resource::do_deallocate | ( | void * | __p,
|  | size_t | __bytes,
|  | size_t | __alignment
| ) |  |

override protected virtual

Implements std::pmr::memory_resource.

## do_is_equal()

bool std::pmr::unsynchronized_pool_resource::do_is_equal | ( | const memory_resource & | __other | ) | const

inline override protected virtual noexcept

Implements std::pmr::memory_resource.

Definition at line 724 of file memory_resource.

## is_equal()

bool std::pmr::memory_resource::is_equal | ( | const memory_resource & | __other | ) | const

inline noexcept inherited

Definition at line 131 of file memory_resource.

## options()

pool_options std::pmr::unsynchronized_pool_resource::options | ( |  | ) | const

inline noexcept

Definition at line 714 of file memory_resource.

## upstream_resource()

memory_resource * std::pmr::unsynchronized_pool_resource::upstream_resource | ( |  | ) | const

inline noexcept

Definition at line 711 of file memory_resource.

The documentation for this class was generated from the following file:

- memory_resource